.TH TYPER "1" "April 2024" "" "User Commands"
.SH NAME
.B typer
\(en run Typer scripts with completion, without having to create a package
.SH SYNOPSIS
.B typer
.RI [ OPTIONS ]
.RI [ PATH_OR_MODULE ]
.I COMMAND
.RI [ ARGS ]...
.SH OPTIONS
.SS ARGUMENTS
.TP
.I PATH_OR_MODULE
Python3 script that typer will run as a CLI application.
.SS OPTIONS
.TP
.B \-\-app\ \fI TEXT
The typer app object/variable to use.
.TP
.B \-\-func\ \fI TEXT
The function to convert to Typer.
.TP
.B \-\-version
Print version and exit.
.TP
.B \-\-install\-completion [bash|zsh|fish|powershell|pwsh]
Install completion for the current shell.
.TP
.B \-\-show\-completion [bash|zsh|fish|powershell|pwsh]
Show completion for the current shell,
to copy it or customize the installation.
.TP
.B \-\-help
Show a help message and exit.
.SS COMMANDS
.TP
.B utils
Extra utility commands for Typer apps.
.IP
See
.BR typer\-utils (1).
.SH "SEE ALSO"
.BR typer\-utils (1)
